#ifndef _String_h_
#define _String_h_

#include "ygNode.h"


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_String_MODULE_DLL_API 
#endif

class YG_String_MODULE_DLL_API String : public ygNode
    {
    public:
     String(const char* name,bool master=true);
     ~String(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
    protected:
     ygString netString;
     int length;
    private:
     void checkChanged(void);
     ygString lastString;
    };


#endif
