#ifndef _amplitude_h_
#define _amplitude_h_

#include "ygSoundServer.h"



#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_amplitude_MODULE_DLL_API 
#endif

class YG_amplitude_MODULE_DLL_API amplitude : public ygSoundServer
    {
    public:
     amplitude(const char*,bool master=true);
     virtual ~amplitude(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
     virtual void play(void);
     virtual void pause(void);
     virtual void stop(bool sendStopCommand=true);
     virtual void setDistance(float);
     virtual void setAmplitude(float);
     virtual void setFalloffDistance(float);
     virtual void setAttenuation(int);
     virtual bool isPlaying(void);
     virtual bool isPaused(void);
    private:
     struct _amplitudePrivateData * p_;
    };

#endif
