#ifndef _billboard_h_
#define _billboard_h_

#include <Performer/pf/pfDCS.h>
#include "ygNode.h"


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_billboard_MODULE_DLL_API 
#endif

class YG_billboard_MODULE_DLL_API billboard : public ygNode
{
public:
    billboard(const char* name,bool master=true);
    virtual void reset(void);
    virtual void message(const ygMessage&);
    virtual void app(void);
private:
    int mode;
    pfVec3 axis;
    pfDCS* dcs;
};


#endif
