#ifndef _body_h_
#define _body_h_

#include <ygUser.h>
#include "ygTransform.h"


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_body_MODULE_DLL_API 
#endif

class YG_body_MODULE_DLL_API body : public ygTransform
    {
    public:
     body(const char* name,bool master=true);
     ~body(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
    private:
     ygUser* user;
     float depth;
    };


#endif
