#ifndef _grabber_h_
#define _grabber_h_

#include <ygTransform.h>


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_grabber_MODULE_DLL_API 
#endif

class YG_grabber_MODULE_DLL_API grabber : public ygTransform
{
    public:
     grabber(const char *name, bool master=true);
     ~grabber(void);
     virtual void reset(void);
     virtual void message(const ygMessage &msg);
     virtual void app(void);
     void grab(void);
     void drop(void);
    private:
     ygString nodeName;
     ygNode* node;
     pfMatrix matrix;
};

#endif
