#ifndef _highlight_h_
#define _highlight_h_

#include "ygNode.h"
#include <Performer/pr/pfHighlight.h>


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_highlight_MODULE_DLL_API 
#endif

class YG_highlight_MODULE_DLL_API highlight : public ygNode
    {
    public:
     highlight(const char* name,bool master=true);
     ~highlight(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
         void setActive(bool);
         void setMode(const ygString&);
         void setColor(const pfVec4&);
         void setWidth(float);
         void setLength(float);
    private:
     void setGeoState(uint64_t,int,pfNode*);
     void setGSetHlight(pfHighlight*,pfNode*);
     bool active;
     pfVec4 color;
     float length;
     float width;
     ygString mode;
     pfHighlight* highlight_;
    };


#endif
