#ifndef _movieTexture_h_
#define _movieTexture_h_

#include "ygNode.h"


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_movieTexture_MODULE_DLL_API 
#endif

class YG_movieTexture_MODULE_DLL_API movieTexture : public ygNode
    {
    public:
     movieTexture(const char* name,bool master=true);
     ~movieTexture(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
     void setMovie(const ygString& file);
     void play(void);
    private:
     struct _movieTexturePrivateData* p_;
     void replaceTextures(pfNode*);
    };


#endif
