#ifndef _nodeMessages_h_
#define _nodeMessages_h_

#include "ygNode.h"


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_nodeMessages_MODULE_DLL_API 
#endif

class YG_nodeMessages_MODULE_DLL_API nodeMessages : public ygNode
    {
    public:
     nodeMessages(const char*,bool master=true);
     virtual void reset(void);
     virtual void message(const ygMessage&);
    protected:
     void checkNode(void);
     void checkMessages(void);
     void checkManipulate(void);
     void checkMap(void);
     void checkEvents(void);
     ygNode* node;
     ygString nodeName;
     ygString lastNode;
     ygString messageName;
     ygString lastMessage;
     bool manipulate;
     bool grab;
     std::map<ygString,std::vector<std::vector<ygString> > > manipulateMap;
    };

#endif
