#ifndef _physics_h_
#define _physics_h_

#include <ygTransform.h>


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_physics_MODULE_DLL_API 
#endif

class YG_physics_MODULE_DLL_API physics : public ygTransform
    {
    public:
     physics(const char* name,bool master=true);
     ~physics(void);
     void setStartPosition(const pfVec3&);
     void setStartOrientation(const pfVec3&);
     void setEndPosition(const pfVec3&);
     void setEndOrientation(const pfVec3&);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
    protected:
     pfVec3 vel_;
     pfVec3 accel_;
    };

#endif
