#ifndef _text_h_
#define _text_h_

#include "ygGeometry.h"


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_text_MODULE_DLL_API 
#endif

class YG_text_MODULE_DLL_API text : public ygGeometry
    {
    public:
     text(const char* name,bool master=true);
     ~text(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
    private:
     pfText* text_;
     pfString* string;
     ygString netString;
     pfVec4 netColor;
     int netStyle;
     int netJustify;
     ygString netFont;
     float width;
     float lastWidth;
     pfGeoState* gstate;
    };


#endif
