#ifndef _userSwitch_h_
#define _userSwitch_h_

#include <Performer/pf/pfSwitch.h>
#include <ygNode.h>


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_userSwitch_MODULE_DLL_API 
#endif

class YG_userSwitch_MODULE_DLL_API userSwitch : public ygNode
    {
    public:
     userSwitch(const char*,bool master=true);
     virtual ~userSwitch(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
         bool on(const ygString&);
         bool off(const ygString&);
         void toggle(const ygString&);
    private:
     void setState(const ygString&);
     pfSwitch* sw;
     ygString users;
    };

#endif
