#ifndef _wandTrigger_h_
#define _wandTrigger_h_

#include "ygSpace.h"
#include <vector>

using namespace std;


#ifdef WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_wandTrigger_MODULE_DLL_API 
#endif

class YG_wandTrigger_MODULE_DLL_API wandTrigger : public ygSpace
    {
    public:
     wandTrigger(const char* name,bool master=true);
     ~wandTrigger(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
    private:
     bool previouslyInside(const ygWand *w) const;
     vector<ygWand*> prevInside;
     vector<ygUser*> prevInsideUser;
     int lastFrame;
     bool local;
     bool debugInside;
    };


#endif
