#ifndef _ygWand_h_
#define _ygWand_h_

#include "ygNode.h"
class ygUser;

#include "ygDLL.h"

class YG_DLL_API ygWand : public ygNode
    {
    public:
     ygWand(const char*,bool master=true);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
     bool isOn(void);
     virtual int numFlags(void) const;
     virtual bool getFlag(int num,ygString& flag) const;
     const ygUser* user(void) const;
    protected:
     void setFlag(const ygString& flag);
    private:
     struct _ygWandPrivateData * p_;
    };

extern "C" YG_DLL_API ygNode* APIENTRY construct_ygWand(const char*,bool);

#endif
