#ifndef _CAVEEyes_h_
#define _CAVEEyes_h_

#include "ygNode.h"

typedef struct _eyeData eyeData_t;


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_CAVEEyes_MODULE_DLL_API 
#endif

class YG_CAVEEyes_MODULE_DLL_API CAVEEyes : public ygNode
    {
    public:
     static int eyePreCull(pfTraverser*,void *data);
     CAVEEyes(const char* name,bool master=true);
     ~CAVEEyes(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
    private:
     int eyes;
     eyeData_t* data_;
    };


#endif
