#ifndef _eventListing_h_
#define _eventListing_h_

#include "ygNode.h"


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_eventListing_MODULE_DLL_API 
#endif

class YG_eventListing_MODULE_DLL_API eventListing : public ygNode
    {
    public:
     eventListing(const char*,bool master=true);
     virtual void reset(void);
     virtual void message(const ygMessage&);
    protected:
     void checkEvents(void);
     ygNode* node;
     ygString nodeName;
     ygString lastNode;
     ygString eventName;
     ygString lastEvent;
     int index;
     int lastIndex;
     int maximum;
    };

#endif
