#ifndef _flipbook_h_
#define _flipbook_h_

#include "ygSelector.h"



#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_flipbook_MODULE_DLL_API 
#endif

class YG_flipbook_MODULE_DLL_API flipbook : public ygSelector
{
public:
    flipbook(const char* name,bool master=true);
    ~flipbook(void);
    virtual void reset(void);
    virtual void message(const ygMessage&);
    virtual void app(void);
        void start(void);
        void stop(void);

private:
        bool active_;
        float duration_;
        float startTime_;
        bool firstFrame_;
};


#endif
