#ifndef _levelOfDetail_h_
#define _levelOfDetail_h_

#include <Performer/pf/pfSwitch.h>
#include <ygNode.h>
#include <vector>

using namespace std;


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_levelOfDetail_MODULE_DLL_API 
#endif

class YG_levelOfDetail_MODULE_DLL_API levelOfDetail : public ygNode
    {
    public:
     levelOfDetail(const char* name,bool master=true);
     ~levelOfDetail(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
     virtual void appTraverse(void);
    private:
     vector<float> ranges;
     bool debugSelected;
     int selected;
     int prevSelected;
     pfSwitch* sw;
    };


#endif
