#ifndef _localFlipbook_h_
#define _localFlipbook_h_

#include "ygNode.h"

#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_localFlipbook_MODULE_DLL_API 
#endif

class YG_localFlipbook_MODULE_DLL_API localFlipbook : public ygNode
    {
    public:
     localFlipbook(const char* name,bool master=true);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
        void start(void);
        void stop(void);

    private:

      class pfSwitch * switch_;
         bool active_;
         float duration_;
         float startTime_;
         bool firstFrame_;
};


#endif
