#ifndef _pointAtNode_h_
#define _pointAtNode_h_

#include "ygTransform.h"


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_pointAtNode_MODULE_DLL_API 
#endif

class YG_pointAtNode_MODULE_DLL_API pointAtNode : public ygTransform
    {
    public:
     pointAtNode(const char* name,bool master=true);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
    private:
     int mode;
     pfVec3 axis;
     ygNode* node;
     ygString nodeName;
     int wandMode;
     int wandNum;
    };


#endif
