#ifndef _reference_h_
#define _reference_h_

#include <ygNode.h>


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_reference_MODULE_DLL_API 
#endif

class YG_reference_MODULE_DLL_API reference : public ygNode
    {
    public:
     reference(const char* name,bool master=true);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
    private:
     pfDCS* dcs;
     pfGroup* group;
     ygNode* transform;
     ygString nodeName;
     ygString transformName;
    };

#endif
