#ifndef _remoteValue_h_
#define _remoteValue_h_

#include <vector>
#include "value.h"

using namespace std;


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_remoteValue_MODULE_DLL_API 
#endif

class YG_remoteValue_MODULE_DLL_API remoteValue : public value
    {
    public:
     remoteValue(const char* name,bool master=true);
     ~remoteValue(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
     virtual void setValueSize(int);
    private:
     float updateInterval;
     float lastUpdate;
     vector<float> netValues;
    };

#endif
