#ifndef _vectorNavigator_h_
#define _vectorNavigator_h_

#include <ygCAVENavigator.h>


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_vectorNavigator_MODULE_DLL_API 
#endif

class YG_vectorNavigator_MODULE_DLL_API vectorNavigator : public ygCAVENavigator
    {
    public:
     vectorNavigator(const char* name,bool master=true);
     ~vectorNavigator(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
    private:
     pfVec3 direction;
     pfVec3 rotation;
     void checkInput(void);
    };


#endif
