#ifndef _whiteNoise_h_
#define _whiteNoise_h_

#include "ygSoundServer.h"



#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_whiteNoise_MODULE_DLL_API 
#endif

class YG_whiteNoise_MODULE_DLL_API whiteNoise : public ygSoundServer
    {
    public:
     whiteNoise(const char*,bool master=true);
     virtual ~whiteNoise(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
     virtual void play(void);
     virtual void pause(void);
     virtual void stop(bool sendStopCommand=true);
     virtual void setDistance(float);
     virtual void setAmplitude(float);
     virtual void setFalloffDistance(float);
     virtual void setAttenuation(int);
     virtual bool isPlaying(void);
     virtual bool isPaused(void);
    private:
     struct _whiteNoisePrivateData * p_;
    };

extern "C" ygNode* APIENTRY construct_whiteNoise(const char*,bool);

#endif
