#ifndef _writeFile_h_
#define _writeFile_h_

#include "value.h"


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_writeFile_MODULE_DLL_API 
#endif

class YG_writeFile_MODULE_DLL_API writeFile : public value
    {
    public:
     writeFile(const char* name,bool master=true);
     ~writeFile(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
    protected:
     void openFile(const ygString&);
     ygString filename;
     FILE* fp;
    };

#endif
