#ifndef _ygDebugFlags_h_
#define _ygDebugFlags_h_

#include "ygString.h"

#include "ygWand.h"

#include "ygDLL.h"

class YG_DLL_API ygDebugFlags
    {
    public:
     ygDebugFlags(void);
     ~ygDebugFlags(void);
         void addFlag(const ygString&,bool *);
         void checkFlags(const ygString&) const;
         void checkFlag(const ygString& prefix,const ygString&) const;
         void setFlag(const ygString&,bool val=true);
         bool* getFlag(const ygString&) const;
     static bool checkDebugEnv(const ygString& name);
     static bool matchRegexp(const ygString& str,const ygString& regexp);
    private:
     struct _ygDebugFlagsPrivateData * p_;
    };

#endif
