#ifndef _ygUser_h_
#define _ygUser_h_

#include "ygTransform.h"
class ygNavigator;

#include "ygDLL.h"

class YG_DLL_API ygUser : public ygTransform
    {
    public:
     ygUser(const char*,bool master=true);
     virtual ~ygUser(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
          void setNavigator(ygNavigator*);
          ygNavigator* navigator(void) const;
          ygNode* head(void) const;
          int numWands(void) const;
          ygNode* wand(int) const;
         void setHead(ygNode*);
         void addWand(ygNode*);
         void hideLocal(bool hide=true);
         void setCAVETracking(bool use=true);
         bool isCAVETracking(void);
     static ygUser* findUserAncestor(ygNode *);
    private:
     struct _ygUserPrivateData *p_;
         void storeWandKey(void);
         void storeHeadKey(void);
         void storeSensorKey(void);
    };

extern "C" YG_DLL_API ygNode* APIENTRY construct_ygUser(const char*,bool);

#endif
